Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class TreeUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TreeUI

Direct Known Subclasses:
  BasicTreeUI, MultiTreeUI

public abstract class TreeUI
extends ComponentUI

Pluggable look and feel interface for JTree.

Constructor Summary
`TreeUI()`

Method Summary
`abstract void` | `cancelEditing(JTree tree)` Cancels the current editing session.
`abstract TreePath` | `getClosestPathForLocation(JTree tree, int x, int y)` Returns the path to the node that is closest to x,y.
`abstract TreePath` | `getEditingPath(JTree tree)` Returns the path to the element that is being edited.
`abstract Rectangle` | `getPathBounds(JTree tree, TreePath path)` Returns the Rectangle enclosing the label portion that the last item in path will be drawn into.
`abstract TreePath` | `getPathForRow(JTree tree, int row)` Returns the path for passed in row.
`abstract int` | `getRowCount(JTree tree)` Returns the number of rows that are being displayed.
`abstract int` | `getRowForPath(JTree tree, TreePath path)` Returns the row that the last item identified in path is visible at.
`abstract boolean` | `isEditing(JTree tree)` Returns true if the tree is being edited.
`abstract void` | `startEditingAtPath(JTree tree, TreePath path)` Selects the last item in path and tries to edit it.
`abstract boolean` | `stopEditing(JTree tree)` Stops the current editing session.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeUI

    public TreeUI()

Method Detail

### getPathBounds

    public abstract Rectangle getPathBounds(JTree tree,
                                            TreePath path)

  Returns the Rectangle enclosing the label portion that the last item in path will be drawn into. Will return null if any component in path is currently valid.

### getPathForRow

    public abstract TreePath getPathForRow(JTree tree,
                                           int row)

  Returns the path for passed in row. If row is not visible null is returned.

### getRowForPath

    public abstract int getRowForPath(JTree tree,
                                      TreePath path)

  Returns the row that the last item identified in path is visible at. Will return -1 if any of the elements in path are not currently visible.

### getRowCount

    public abstract int getRowCount(JTree tree)

  Returns the number of rows that are being displayed.

### getClosestPathForLocation

    public abstract TreePath getClosestPathForLocation(JTree tree,
                                                       int x,
                                                       int y)

  Returns the path to the node that is closest to x,y. If there is nothing currently visible this will return null, otherwise it'll always return a valid path. If you need to test if the returned object is exactly at x, y you should get the bounds for the returned path and test x, y against that.

### isEditing

    public abstract boolean isEditing(JTree tree)

  Returns true if the tree is being edited. The item that is being edited can be returned by getEditingPath().

### stopEditing

    public abstract boolean stopEditing(JTree tree)

  Stops the current editing session. This has no effect if the tree isn't being edited. Returns true if the editor allows the editing session to stop.

### cancelEditing

    public abstract void cancelEditing(JTree tree)

  Cancels the current editing session. This has no effect if the tree isn't being edited. Returns true if the editor allows the editing session to stop.

### startEditingAtPath

    public abstract void startEditingAtPath(JTree tree,
                                            TreePath path)

  Selects the last item in path and tries to edit it. Editing will fail if the CellEditor won't allow it for the selected item.

### getEditingPath

    public abstract TreePath getEditingPath(JTree tree)

  Returns the path to the element that is being edited.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.